Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Streams Advanced Queuing Java API Reference 10g Release 2 (10.2) B14291-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jms
Class AQjmsXAQueueConnectionFactory

`java.lang.Object
oracle.jms.AQjmsConnectionFactory
oracle.jms.AQjmsQueueConnectionFactory
oracle.jms.AQjmsXAQueueConnectionFactory`

All Implemented Interfaces:
  ConnectionFactory, javax.naming.spi.ObjectFactory, QueueConnectionFactory, javax.naming.Referenceable, java.io.Serializable, XAConnectionFactory, XAQueueConnectionFactory

public class AQjmsXAQueueConnectionFactory
extends AQjmsQueueConnectionFactory
implements XAQueueConnectionFactory

Oracle class implementing javax.jms.XAQueueConnectionFactory,

See Also:
  Serialized Form

Method Summary
`XAConnection` | `createXAConnection()` create a XAConnection to the JMS Server hosting this XAQueueConnectionFactory.
`XAConnection` | `createXAConnection(java.lang.String username, java.lang.String password)` create a XAConnection using the given username and password for authentication during creation of the XAConnection.
`XAQueueConnection` | `createXAQueueConnection()` create a XAQueueConnection to the JMS Server hosting this Queue- ConnectionFactory.
`XAQueueConnection` | `createXAQueueConnection(java.lang.String username, java.lang.String password)` create a XAQueueConnection using the given username and password for authentication during creation of the Connection.
`javax.naming.Reference` | `getReference()` Creates a JMS queue connection factory reference suitable for passing to `AQjmsConnectionFactory.getObjectInstance(java.lang.Object, javax.naming.Name, javax.naming.Context, java.util.Hashtable)`.

Methods inherited from class oracle.jms.AQjmsQueueConnectionFactory
`createQueueConnection, createQueueConnection, createQueueConnection`

Methods inherited from class oracle.jms.AQjmsConnectionFactory
`createConnection, createConnection, getObjectInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.jms.QueueConnectionFactory
`createQueueConnection, createQueueConnection`

Methods inherited from interface javax.jms.ConnectionFactory
`createConnection, createConnection`

Method Detail

### createXAQueueConnection

    public XAQueueConnection createXAQueueConnection()
                                              throws JMSException

  create a XAQueueConnection to the JMS Server hosting this Queue- ConnectionFactory.
  Specified by:
    `createXAQueueConnection` in interface `XAQueueConnectionFactory`
  Returns:
    a XAQueueConnection
  Throws:
    `JMSException` - if JMS fails to get a XAQueueConnection due to some JMS error

### createXAQueueConnection

    public XAQueueConnection createXAQueueConnection(java.lang.String username,
                                                     java.lang.String password)
                                              throws JMSException

  create a XAQueueConnection using the given username and password for authentication during creation of the Connection.
  Specified by:
    `createXAQueueConnection` in interface `XAQueueConnectionFactory`
  Parameters:
    `username` - name of the user connecting to the DB for Queueing. password password for the creating the connection to server.
    `password` - the caller's password
  Returns:
    a XAQueueConnection
  Throws:
    `JMSException` - if JMS fails to get a XAQueueConnection due to some JMS error

### createXAConnection

    public XAConnection createXAConnection()
                                    throws JMSException

  create a XAConnection to the JMS Server hosting this XAQueueConnectionFactory.
  Specified by:
    `createXAConnection` in interface `XAConnectionFactory`
  Returns:
    a XAConnection
  Throws:
    `JMSException` - if JMS fails to get a XAConnection due to some JMS error

### createXAConnection

    public XAConnection createXAConnection(java.lang.String username,
                                           java.lang.String password)
                                    throws JMSException

  create a XAConnection using the given username and password for authentication during creation of the XAConnection.
  Specified by:
    `createXAConnection` in interface `XAConnectionFactory`
  Parameters:
    `username` - name of the user connecting to the DB for Queueing. password password for the creating the connection to server.
    `password` - the caller's password
  Returns:
    a XAConnection
  Throws:
    `JMSException` - if JMS fails to get a XAConnection due to some JMS error

### getReference

    public javax.naming.Reference getReference()

  Description copied from class: `AQjmsQueueConnectionFactory`
  Creates a JMS queue connection factory reference suitable for passing to `AQjmsConnectionFactory.getObjectInstance(java.lang.Object, javax.naming.Name, javax.naming.Context, java.util.Hashtable)`.
  Specified by:
    `getReference` in interface `javax.naming.Referenceable`
  Overrides:
    `getReference` in class `AQjmsQueueConnectionFactory`
  Returns:
    a queue connection factory reference with object and factory class names set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Streams Advanced Queuing Java API Reference 10g Release 2 (10.2) B14291-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.